import { r as registerInstance, h } from './index-d0047af2.js';

const ElementHeaderEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.label = {
            name: 'Header',
            placeholderText: 'Header text'
        };
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign(Object.assign({}, options), { label: this.label }));
    }
    render() {
        return [
            h("bce-input", Object.assign({}, this.prop('text', { localize: true }), { type: "text" })),
            h("slot", null)
        ];
    }
};

export { ElementHeaderEditor as bce_element_header_editor };
